Debian Bug report logs - #402009
twinkle: symbol lookup error when hanging up

version graph

Package: libcommoncpp2-1.5-0; Maintainer for libcommoncpp2-1.5-0 is (unknown);

Reported by: Jan Niehusmann <jan@gondor.com>

Date: Thu, 7 Dec 2006 13:33:02 UTC

Severity: grave

Tags: etch-ignore, upstream

Found in version 1.5.3-1

Fixed in version libcommoncpp2/1.5.3-2

Done: Mark Purcell <msp@debian.org>

Bug is archived. No further changes may be made.

Forwarded to bug-commoncpp@gnu.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#402009; Package twinkle. Full text and rfc822 format available.

Acknowledgement sent to Jan Niehusmann <jan@gondor.com>:
New Bug report received and forwarded. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jan Niehusmann <jan@gondor.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: twinkle: symbol lookup error when hanging up
Date: Thu, 7 Dec 2006 14:13:15 +0100
Package: twinkle
Version: 1:0.9-5
Severity: important

When hanging up a call, twinkle crashes with the following error
message:

twinkle: symbol lookup error: twinkle: undefined symbol: _ZN3ost6Thread9isRunningEv

This can be fixed by rebuilding twinkle, so I guess it's caused by an
ABI incompatible change in some library.

Jan

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'oldstable'), (500, 'testing'), (500, 'stable'), (101, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.19
Locale: LANG=C, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Versions of packages twinkle depends on:
ii  kdelibs4c2a            4:3.5.5a.dfsg.1-5 core libraries and binaries for al
ii  libasound2             1.0.13-1          ALSA library
ii  libboost-regex1.33.1   1.33.1-9          regular expression library for C++
ii  libc6                  2.3.6.ds1-8       GNU C Library: Shared libraries
ii  libccrtp1-1.5-0        1.5.0-2           Common C++ class framework for RTP
ii  libcommoncpp2-1.5-0    1.5.3-1           A GNU package for creating portabl
ii  libgcc1                1:4.1.1-20        GCC support library
ii  libgcrypt11            1.2.3-2           LGPL Crypto library - runtime libr
ii  libgnutls13            1.4.4-3           the GNU TLS library - runtime libr
ii  libgsm1                1.0.10-13         Shared libraries for GSM speech co
ii  libqt3-mt              3:3.3.7-1         Qt GUI Library (Threaded runtime v
ii  libsndfile1            1.0.16-1          Library for reading/writing audio 
ii  libspeex1              1.1.12-2          The Speex Speech Codec
ii  libstdc++6             4.1.1-20          The GNU Standard C++ Library v3
ii  libx11-6               2:1.0.3-4         X11 client-side library
ii  libxext6               1:1.0.1-2         X11 miscellaneous extension librar
ii  libzrtpcpp-0.9-0       0.9.0-2           ccrtp extension for zrtp/Zfone sup
ii  zlib1g                 1:1.2.3-13        compression library - runtime

twinkle recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#402009; Package twinkle. Full text and rfc822 format available.

Acknowledgement sent to Mikael Magnusson <mikaelmagnusson@glocalnet.net>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 402009@bugs.debian.org (full text, mbox):

From: Mikael Magnusson <mikaelmagnusson@glocalnet.net>
To: control@bugs.debian.org
Cc: 402009@bugs.debian.org
Subject: #402009
Date: Thu, 07 Dec 2006 15:35:35 +0100
package twinkle
reassign 402009 libcommoncpp2-1.5-0 1.5.3-1
severity 402009 grave
thanks


libcommoncpp2-1.5-0 version 1.5.3-1 is ABI incompatible with version 
1.5.1-4, since ost::Thread::isRunning has been changed to const.

$ nm -D libccgnu2-1.5.so.0.0.3 |grep isRunning
00019486 T _ZNK3ost6Thread9isRunningEv

$ nm -D libccgnu2-1.5.so.0.0.1 |grep isRunning
00019476 T _ZN3ost6Thread9isRunningEv



Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#402009; Package twinkle. Full text and rfc822 format available.

Acknowledgement sent to Mikael Magnusson <mikma@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 402009@bugs.debian.org (full text, mbox):

From: Mikael Magnusson <mikma@users.sourceforge.net>
To: 402009@bugs.debian.org
Subject: Multiple API-incompatible changes in Common C++ 1.5.3
Date: Thu, 07 Dec 2006 15:49:29 +0100
[Message part 1 (text/plain, inline)]
As described in the Common C++ changelog, the new version contains 
multiple API changes, resulting in backward-incompatible ABI changes in 
the shared library.

  From Common C++ 1.5.2 to 1.5.3
  - some code cleanup of operators and const members

I'm including a diff which contains all changes of header files from 
1.5.1 to 1.5.3.

/Mikael

[commoncpp2-1.5.1-1.5.3.diff (text/x-patch, inline)]
--- commoncpp2-1.5.1/include/cc++/address.h	2006-10-01 14:07:12.000000000 +0200
+++ commoncpp2-1.5.3/include/cc++/address.h	2006-11-21 14:40:05.000000000 +0100
@@ -167,7 +167,7 @@
 protected:
 	struct in_addr netmask, network;
 
-	unsigned getMask(const char *cp);
+	unsigned getMask(const char *cp) const;
 public:
 	/**
 	 * Get network address associated with this cidr.
@@ -225,7 +225,7 @@
 	 * @param saddr pointer to test.
 	 * @return true if member of cidr.
 	 */
-	bool isMember(struct sockaddr *saddr);
+	bool isMember(const struct sockaddr *saddr) const;
 
 	/**
 	 * See if a low level address object is a member of this cidr's net.
@@ -233,14 +233,14 @@
 	 * @param inaddr object to test.
 	 * @return true if member of cidr.
 	 */
-	bool isMember(struct in_addr &inaddr);
-};
+	bool isMember(const struct in_addr &inaddr) const;
 
-inline bool operator==(struct sockaddr *sa, IPV4Cidr &cidr)
-	{return cidr.isMember(sa);};
+	inline bool operator==(const struct sockaddr *a) const
+		{return isMember(a);};
 
-inline bool operator==(struct in_addr &a, IPV4Cidr &cidr)
-	{return cidr.isMember(a);};
+	inline bool operator==(const struct in_addr &a) const
+		{return isMember(a);};
+};
 
 #ifdef	CCXX_IPV6
 /**
@@ -255,7 +255,7 @@
 protected:
 	struct in6_addr netmask, network;
 
-	unsigned getMask(const char *cp);
+	unsigned getMask(const char *cp) const;
 public:
 	/**
 	 * Get network address associated with this cidr.
@@ -313,7 +313,7 @@
 	 * @param saddr pointer to test.
 	 * @return true if member of cidr.
 	 */
-	bool isMember(struct sockaddr *saddr);
+	bool isMember(const struct sockaddr *saddr) const;
 
 	/**
 	 * See if a low level address object is a member of this cidr's net.
@@ -321,14 +321,14 @@
 	 * @param inaddr object to test.
 	 * @return true if member of cidr.
 	 */
-	bool isMember(struct in6_addr &inaddr);
-};
+	bool isMember(const struct in6_addr &inaddr) const;
 
-inline bool operator==(struct sockaddr *sa, IPV6Cidr &cidr)
-	{return cidr.isMember(sa);};
+	inline bool operator==(const struct sockaddr *sa) const
+		{return isMember(sa);};
 
-inline bool operator==(struct in6_addr &a, IPV6Cidr &cidr)
-	{return cidr.isMember(a);};
+	inline bool operator==(const struct in6_addr &a) const
+		{return isMember(a);};
+};
 
 #endif
 
--- commoncpp2-1.5.1/include/cc++/misc.h	2006-09-30 18:52:17.000000000 +0200
+++ commoncpp2-1.5.3/include/cc++/misc.h	2006-11-21 15:55:26.000000000 +0100
@@ -695,7 +695,7 @@
 	virtual void *getMemory(size_t size) = 0;
 
 public:
-	void *getPointer(const char *id);
+	void *getPointer(const char *id) const;
 	void setPointer(const char *id, void *data);
 };
 
--- commoncpp2-1.5.1/include/cc++/thread.h	2006-04-27 21:16:53.000000000 +0200
+++ commoncpp2-1.5.3/include/cc++/thread.h	2006-11-21 14:37:09.000000000 +0100
@@ -1410,14 +1410,14 @@
 	 * 
 	 * @return true if the thread is still executing.
 	 */
-	bool isRunning(void);
+	bool isRunning(void) const;
 
 	/**
 	 * Check if this thread is detached.
 	 *
 	 * @return true if the thread is detached.
 	 */
-	bool isDetached(void);
+	bool isDetached(void) const;
 
         /**
 	 * Blocking call which unlocks when thread terminates.
@@ -1430,7 +1430,7 @@
 	 * 
 	 * @return true if the current context is this object.
 	 */
-	bool isThread(void);
+	bool isThread(void) const;
 
 	/**
 	 * Get system thread numeric identifier.
@@ -1445,7 +1445,7 @@
 	 *
 	 * @return debug name.
 	 */
-	const char *getName(void)
+	const char *getName(void) const
 		{return _name;};
 
 	/**
@@ -1475,7 +1475,7 @@
 		{if (th._start) th._start->wait();};
 
 #ifdef WIN32
-	bool isCancelled();
+	bool isCancelled() const;
 
 	static DWORD waitThread(HANDLE hRef, timeout_t timeout);
 #endif

Bug reassigned from package `twinkle' to `libcommoncpp2-1.5-0'. Request was from Mikael Magnusson <mikaelmagnusson@glocalnet.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Mark Purcell <msp@debian.org>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #20 received at 402009-forwarded@bugs.debian.org (full text, mbox):

From: Mark Purcell <msp@debian.org>
To: bug-commoncpp@gnu.org, David Sugar <dyfet@ostel.com>
Cc: 402009-forwarded@bugs.debian.org, Jan Niehusmann <jan@gondor.com>
Subject: libcommoncpp2-1.5-0 version 1.5.3-1 is ABI incompatible with version 1.5.1-4
Date: Thu, 7 Dec 2006 18:00:23 +0000
David,

It would appear that commoncpp2-1.5.3 isn't ABI compatible with previous 
releases due to changes with ost::Thread::isRunning 

http://bugs.debian.org/402009

Mark

----------  Forwarded Message  ----------

Subject: Bug#402009: #402009
Date: Thursday 07 December 2006 14:35
From: Mikael Magnusson <mikaelmagnusson@glocalnet.net>
To: control@bugs.debian.org
Cc: 402009@bugs.debian.org

package twinkle
reassign 402009 libcommoncpp2-1.5-0 1.5.3-1
severity 402009 grave
thanks


since ost::Thread::isRunning has been changed to const.

$ nm -D libccgnu2-1.5.so.0.0.3 |grep isRunning
00019486 T _ZNK3ost6Thread9isRunningEv

$ nm -D libccgnu2-1.5.so.0.0.1 |grep isRunning
00019476 T _ZN3ost6Thread9isRunningEv


_______________________________________________
Pkg-voip-maintainers mailing list
Pkg-voip-maintainers@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-voip-maintainers

-------------------------------------------------------



Severity set to `grave' from `important' Request was from Mark Purcell <msp@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#402009; Package libcommoncpp2-1.5-0. Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <msp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #27 received at 402009@bugs.debian.org (full text, mbox):

From: Mark Purcell <msp@debian.org>
To: debian-release@lists.debian.org
Cc: 402009@bugs.debian.org, glcpu@packages.debian.org
Subject: libcommoncpp2-dev library transition proposal (Fwd: Bug#402009: Multiple API-incompatible changes in Common C++ 1.5.3)
Date: Thu, 7 Dec 2006 21:48:11 +0000
[Message part 1 (text/plain, inline)]
debian-release,

I'm proposing a library transition for libcommoncpp2, the last upload 
contained a hidden backward-incompatible ABI change which has only come to 
light.

I have patched upstream to bump the soname to 1.5.3 and this will generate a 
debian package of libcommoncpp2-1.5.3-0, which should then be able to go 
through a normal library transition.

As for rdepends, the only package outside pkg-voip-maintainers control is 
glcpu who have been CC:ed on this package.

If the transition goes ahead would the release team like us to manually upload 
the rdepends packages, or would binNMU's be more suitable/ quicker?

Mark



----------  Forwarded Message  ----------

Subject: Bug#402009: Multiple API-incompatible changes in Common C++ 1.5.3
Date: Thursday 07 December 2006 14:49
From: Mikael Magnusson <mikma@users.sourceforge.net>
To: 402009@bugs.debian.org

As described in the Common C++ changelog, the new version contains
multiple API changes, resulting in backward-incompatible ABI changes in
the shared library.

   From Common C++ 1.5.2 to 1.5.3
   - some code cleanup of operators and const members

I'm including a diff which contains all changes of header files from
1.5.1 to 1.5.3.

/Mikael

-------------------------------------------------------
[commoncpp2-1.5.1-1.5.3.diff (text/x-patch, inline)]
--- commoncpp2-1.5.1/include/cc++/address.h	2006-10-01 14:07:12.000000000 +0200
+++ commoncpp2-1.5.3/include/cc++/address.h	2006-11-21 14:40:05.000000000 +0100
@@ -167,7 +167,7 @@
 protected:
 	struct in_addr netmask, network;
 
-	unsigned getMask(const char *cp);
+	unsigned getMask(const char *cp) const;
 public:
 	/**
 	 * Get network address associated with this cidr.
@@ -225,7 +225,7 @@
 	 * @param saddr pointer to test.
 	 * @return true if member of cidr.
 	 */
-	bool isMember(struct sockaddr *saddr);
+	bool isMember(const struct sockaddr *saddr) const;
 
 	/**
 	 * See if a low level address object is a member of this cidr's net.
@@ -233,14 +233,14 @@
 	 * @param inaddr object to test.
 	 * @return true if member of cidr.
 	 */
-	bool isMember(struct in_addr &inaddr);
-};
+	bool isMember(const struct in_addr &inaddr) const;
 
-inline bool operator==(struct sockaddr *sa, IPV4Cidr &cidr)
-	{return cidr.isMember(sa);};
+	inline bool operator==(const struct sockaddr *a) const
+		{return isMember(a);};
 
-inline bool operator==(struct in_addr &a, IPV4Cidr &cidr)
-	{return cidr.isMember(a);};
+	inline bool operator==(const struct in_addr &a) const
+		{return isMember(a);};
+};
 
 #ifdef	CCXX_IPV6
 /**
@@ -255,7 +255,7 @@
 protected:
 	struct in6_addr netmask, network;
 
-	unsigned getMask(const char *cp);
+	unsigned getMask(const char *cp) const;
 public:
 	/**
 	 * Get network address associated with this cidr.
@@ -313,7 +313,7 @@
 	 * @param saddr pointer to test.
 	 * @return true if member of cidr.
 	 */
-	bool isMember(struct sockaddr *saddr);
+	bool isMember(const struct sockaddr *saddr) const;
 
 	/**
 	 * See if a low level address object is a member of this cidr's net.
@@ -321,14 +321,14 @@
 	 * @param inaddr object to test.
 	 * @return true if member of cidr.
 	 */
-	bool isMember(struct in6_addr &inaddr);
-};
+	bool isMember(const struct in6_addr &inaddr) const;
 
-inline bool operator==(struct sockaddr *sa, IPV6Cidr &cidr)
-	{return cidr.isMember(sa);};
+	inline bool operator==(const struct sockaddr *sa) const
+		{return isMember(sa);};
 
-inline bool operator==(struct in6_addr &a, IPV6Cidr &cidr)
-	{return cidr.isMember(a);};
+	inline bool operator==(const struct in6_addr &a) const
+		{return isMember(a);};
+};
 
 #endif
 
--- commoncpp2-1.5.1/include/cc++/misc.h	2006-09-30 18:52:17.000000000 +0200
+++ commoncpp2-1.5.3/include/cc++/misc.h	2006-11-21 15:55:26.000000000 +0100
@@ -695,7 +695,7 @@
 	virtual void *getMemory(size_t size) = 0;
 
 public:
-	void *getPointer(const char *id);
+	void *getPointer(const char *id) const;
 	void setPointer(const char *id, void *data);
 };
 
--- commoncpp2-1.5.1/include/cc++/thread.h	2006-04-27 21:16:53.000000000 +0200
+++ commoncpp2-1.5.3/include/cc++/thread.h	2006-11-21 14:37:09.000000000 +0100
@@ -1410,14 +1410,14 @@
 	 * 
 	 * @return true if the thread is still executing.
 	 */
-	bool isRunning(void);
+	bool isRunning(void) const;
 
 	/**
 	 * Check if this thread is detached.
 	 *
 	 * @return true if the thread is detached.
 	 */
-	bool isDetached(void);
+	bool isDetached(void) const;
 
         /**
 	 * Blocking call which unlocks when thread terminates.
@@ -1430,7 +1430,7 @@
 	 * 
 	 * @return true if the current context is this object.
 	 */
-	bool isThread(void);
+	bool isThread(void) const;
 
 	/**
 	 * Get system thread numeric identifier.
@@ -1445,7 +1445,7 @@
 	 *
 	 * @return debug name.
 	 */
-	const char *getName(void)
+	const char *getName(void) const
 		{return _name;};
 
 	/**
@@ -1475,7 +1475,7 @@
 		{if (th._start) th._start->wait();};
 
 #ifdef WIN32
-	bool isCancelled();
+	bool isCancelled() const;
 
 	static DWORD waitThread(HANDLE hRef, timeout_t timeout);
 #endif

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#402009; Package libcommoncpp2-1.5-0. Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <msp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #32 received at 402009@bugs.debian.org (full text, mbox):

From: Mark Purcell <msp@debian.org>
To: pkg-voip-maintainers@lists.alioth.debian.org, 402009@bugs.debian.org
Cc: debian-release@lists.debian.org, glcpu@packages.debian.org
Subject: Re: Bug#402009: libcommoncpp2-dev library transition proposal (Fwd: Bug#402009: Multiple API-incompatible changes in Common C++ 1.5.3)
Date: Sat, 9 Dec 2006 10:10:09 +0000
On Thursday 07 December 2006 21:48, Mark Purcell wrote:
> debian-release,
>
> I'm proposing a library transition for libcommoncpp2, the last upload
> contained a hidden backward-incompatible ABI change which has only come to
> light.

The alternative, which is better, is just to back out the library transition.

Upload the previous ABI stable release 1.5.1 with an epoc and await the 
release of etch..

Mark



Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#402009; Package libcommoncpp2-1.5-0. Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <msp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #37 received at 402009@bugs.debian.org (full text, mbox):

From: Mark Purcell <msp@debian.org>
To: debian-release@lists.debian.org
Cc: 402009@bugs.debian.org, glcpu@packages.debian.org
Subject: Re: Bug#402009: libcommoncpp2-dev library transition proposal (Fwd: Bug#402009: Multiple API-incompatible changes in Common C++ 1.5.3)
Date: Sat, 9 Dec 2006 10:24:48 +0000
On Saturday 09 December 2006 10:10, Mark Purcell wrote:
> The alternative, which is better, is just to back out the library
> transition.

Or even better-better, just don't do the library transition at all.

The current state of libcommoncpp2 (1.5.1) and rdepends in etch is stable and 
supportable. Thus nothing needs to be done, prior to release.

> Upload the previous ABI stable release 1.5.1 with an epoc and await the
> release of etch..

I won't upload to unstable with an epoc..  Also please ignore, or rather just 
leave in NEW, the last upload (1.5.3) which does correctly carry forward the 
soname change.. But is not necessary for etch.

Mark



Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 402509 added: 402009 Request was from Mark Purcell <msp@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: etch-ignore Request was from Mark Purcell <msp@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>:
Bug#402009; Package libcommoncpp2-1.5-0. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #48 received at 402009@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Mark Purcell <msp@debian.org>
Cc: debian-release@lists.debian.org, 402009@bugs.debian.org, glcpu@packages.debian.org
Subject: Re: Bug#402009: libcommoncpp2-dev library transition proposal (Fwd: Bug#402009: Multiple API-incompatible changes in Common C++ 1.5.3)
Date: Wed, 13 Dec 2006 00:36:04 -0800
Hi Mark,

On Sat, Dec 09, 2006 at 10:24:48AM +0000, Mark Purcell wrote:
> On Saturday 09 December 2006 10:10, Mark Purcell wrote:
> > The alternative, which is better, is just to back out the library
> > transition.

> Or even better-better, just don't do the library transition at all.

> The current state of libcommoncpp2 (1.5.1) and rdepends in etch is stable and 
> supportable. Thus nothing needs to be done, prior to release.

Is it certain that all the packages in testing that depend on
libcommoncpp2-1.5-0 are using the old 1.5.1 ABI?  Apparently 1.5.3-1 didn't
bump shlibs either, because there are no reverse-deps waiting on it for
propogation...  Since this package was only 7 days old at the time of
freeze, odds are good that nothing built against the new ABI made it into
testing, but that's not a guarantee.

> > Upload the previous ABI stable release 1.5.1 with an epoc and await the
> > release of etch..

> I won't upload to unstable with an epoc..  Also please ignore, or rather just 
> leave in NEW, the last upload (1.5.3) which does correctly carry forward the 
> soname change.. But is not necessary for etch.

There's no reason that it needs to stay in NEW that I can see, but we don't
make that decision anyway. :)

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Reply sent to Mark Purcell <msp@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jan Niehusmann <jan@gondor.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #53 received at 402009-close@bugs.debian.org (full text, mbox):

From: Mark Purcell <msp@debian.org>
To: 402009-close@bugs.debian.org
Subject: Bug#402009: fixed in libcommoncpp2 1.5.3-2
Date: Thu, 14 Dec 2006 16:45:08 +0000
Source: libcommoncpp2
Source-Version: 1.5.3-2

We believe that the bug you reported is fixed in the latest version of
libcommoncpp2, which is due to be installed in the Debian FTP archive:

libcommoncpp2-1.5.3-0_1.5.3-2_i386.deb
  to pool/main/libc/libcommoncpp2/libcommoncpp2-1.5.3-0_1.5.3-2_i386.deb
libcommoncpp2-dev_1.5.3-2_i386.deb
  to pool/main/libc/libcommoncpp2/libcommoncpp2-dev_1.5.3-2_i386.deb
libcommoncpp2-doc_1.5.3-2_all.deb
  to pool/main/libc/libcommoncpp2/libcommoncpp2-doc_1.5.3-2_all.deb
libcommoncpp2_1.5.3-2.diff.gz
  to pool/main/libc/libcommoncpp2/libcommoncpp2_1.5.3-2.diff.gz
libcommoncpp2_1.5.3-2.dsc
  to pool/main/libc/libcommoncpp2/libcommoncpp2_1.5.3-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 402009@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Purcell <msp@debian.org> (supplier of updated libcommoncpp2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat,  9 Dec 2006 09:31:44 +0000
Source: libcommoncpp2
Binary: libcommoncpp2-doc libcommoncpp2-1.5.3-0 libcommoncpp2-dev
Architecture: source i386 all
Version: 1.5.3-2
Distribution: unstable
Urgency: medium
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Changed-By: Mark Purcell <msp@debian.org>
Description: 
 libcommoncpp2-1.5.3-0 - A GNU package for creating portable C++ programs
 libcommoncpp2-dev - Header files and static libraries for Common C++ "2"
 libcommoncpp2-doc - Documentation files for Common C++ "2"
Closes: 402009
Changes: 
 libcommoncpp2 (1.5.3-2) unstable; urgency=medium
 .
   * Urgency medium as this fixes a RC bug & has been discussed with debian-release
   * debian/patches/soname-1.5.3.dpatch - upstream is not ABI compatable - bump soname
     - twinkle: symbol lookup error when hanging up (Closes: #402009)
Files: 
 479a4ac2b94e761e38a1ff5333d281d9 817 devel optional libcommoncpp2_1.5.3-2.dsc
 ee86aeb11925cf34d22916f86ceb4733 9686 devel optional libcommoncpp2_1.5.3-2.diff.gz
 70d9e4466953c8dca5eea29579301c94 1339560 doc optional libcommoncpp2-doc_1.5.3-2_all.deb
 4c074ef7c19186897b412cd463bf7337 395626 libdevel optional libcommoncpp2-dev_1.5.3-2_i386.deb
 57e2d17071479647885158795d996624 247842 libs optional libcommoncpp2-1.5.3-0_1.5.3-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFFeoYGoCzanz0IthIRAvTyAJ0RtmbaXnHXRxQRtWjrvdrtPw74aACffec5
+OERNjs99qbsLFAiGq4dqXo=
=9Jr+
-----END PGP SIGNATURE-----




Message #54 received at 402009-forwarded@bugs.debian.org (full text, mbox):

From: David Sugar <dyfet@gnutelephony.org>
To: Mark Purcell <msp@debian.org>
Cc: bug-commoncpp@gnu.org, David Sugar <dyfet@ostel.com>, Jan Niehusmann <jan@gondor.com>, 402009-forwarded@bugs.debian.org
Subject: Re: libcommoncpp2-1.5-0 version 1.5.3-1 is ABI incompatible with version 1.5.1-4
Date: Sat, 27 Jan 2007 16:26:04 -0500
[Message part 1 (text/plain, inline)]
ick...we should have changed the abi rev level then...it got missed...

Mark Purcell wrote:
> David,
> 
> It would appear that commoncpp2-1.5.3 isn't ABI compatible with previous 
> releases due to changes with ost::Thread::isRunning 
> 
> http://bugs.debian.org/402009
> 
> Mark
> 
> ----------  Forwarded Message  ----------
> 
> Subject: Bug#402009: #402009
> Date: Thursday 07 December 2006 14:35
> From: Mikael Magnusson <mikaelmagnusson@glocalnet.net>
> To: control@bugs.debian.org
> Cc: 402009@bugs.debian.org
> 
> package twinkle
> reassign 402009 libcommoncpp2-1.5-0 1.5.3-1
> severity 402009 grave
> thanks
> 
> 
> since ost::Thread::isRunning has been changed to const.
> 
> $ nm -D libccgnu2-1.5.so.0.0.3 |grep isRunning
> 00019486 T _ZNK3ost6Thread9isRunningEv
> 
> $ nm -D libccgnu2-1.5.so.0.0.1 |grep isRunning
> 00019476 T _ZN3ost6Thread9isRunningEv
> 
> 
> _______________________________________________
> Pkg-voip-maintainers mailing list
> Pkg-voip-maintainers@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-voip-maintainers
> 
> -------------------------------------------------------
> 
> 
> _______________________________________________
> Bug-commoncpp mailing list
> Bug-commoncpp@gnu.org
> http://lists.gnu.org/mailman/listinfo/bug-commoncpp
[dyfet.vcf (text/x-vcard, attachment)]

Forwarded-to-address changed from bug-commoncpp@gnu.org, David Sugar <dyfet@ostel.com> to bug-commoncpp@gnu.org. Request was from Mark Purcell <msp@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Mark Purcell <msp@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 13:38:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:05:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.